> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post broker invite



## OpenAPI

````yaml /openapi.json post /broker-invite
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /broker-invite:
    post:
      tags:
        - invitation
      operationId: InvitationController_brokerInvite
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BrokerInviteBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InviteOutput'
        '400':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/InvalidEmailErrorDto'
              examples:
                INVALID_EMAIL:
                  $ref: '#/components/schemas/InvalidEmailErrorDto'
          description: ''
components:
  schemas:
    BrokerInviteBody:
      type: object
      properties:
        email:
          type: string
          description: Email address to invite
        brokerageFirmId:
          type: string
          description: Brokerage firm id
        firstName:
          type: string
          description: First name
        lastName:
          type: string
          description: Last name
        brokerRole:
          type: string
          description: Broker role
      required:
        - email
        - brokerageFirmId
        - firstName
        - lastName
    InviteOutput:
      type: object
      properties: {}
    InvalidEmailErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_EMAIL
        message:
          type: string
          example: Invalid email
        details:
          $ref: '#/components/schemas/InvalidEmailDetailsDto'
      required:
        - code
        - message
        - details
    InvalidEmailDetailsDto:
      type: object
      properties:
        email:
          type: string
      required:
        - email

````